function EsconderPrimeiraEtapaAplicacoes() {
    $(".box-nova-app").hide();
    $(".primeira-etapa").fadeOut("slow");
    $(".header-configuracao h1").delay(600).fadeIn("slow");
    $(".box-accordion").delay(600).fadeIn("slow");
    $(".btn-nova-aplicacao").removeClass("x-nova-app");


}

function RegistrarBotaoNovoApp() {
    $(".btn-nova-aplicacao, .primeira-etapa h1").unbind("click");
    $(".btn-nova-aplicacao, .primeira-etapa h1").on("click", function (e) {
        e.stopPropagation();
        $(".box-nova-app").toggle();

        if ($(".btn-nova-aplicacao").hasClass("x-nova-app")) {
            $(".btn-nova-aplicacao").removeClass("x-nova-app");
        } else {
            $(".btn-nova-aplicacao").addClass("x-nova-app");
        }
    });
}

function RegistrarClickEntidadeColunas() {
    $(".box-sel .sel-val").unbind();
    $(".box-sel .sel-val-megaselect").unbind();
    // select estilizado
    $(".box-sel .sel-val").on("click", function () {
        if ($(this).next().is(":hidden")) {
            $(".box-sel .sel-val, .box-sel .sel-val-megaselect").next().hide();
            $(".sel-arrow-up").removeClass("sel-arrow-up").addClass("sel-arrow-down");
            $(".sel-val-megaselect").css({ "background": "#fff" });
            $(this).next().show();
            $(this).closest(".efeito-acc").css({ "overflow": "inherit" });
            $(".sel-arrow-down", this).removeClass("sel-arrow-down").addClass("sel-arrow-up");
        } else {
            $(this).next().hide();
            $(".sel-arrow-up", this).removeClass("sel-arrow-up").addClass("sel-arrow-down");
        }
    });

    // megaselect estilizado
    $(".box-sel .sel-val-megaselect").on("click", function () {
        if ($(this).next().is(":hidden")) {
            $(".box-sel .sel-val, .box-sel .sel-val-megaselect").next().hide();
            $(".sel-arrow-up").removeClass("sel-arrow-up").addClass("sel-arrow-down");
            $(".sel-val-megaselect").css({ "background": "#fff" });
            $(this).next().show();
            $(this).closest(".efeito-acc").css({ "overflow": "inherit" });
            $(".sel-arrow-down", this).removeClass("sel-arrow-down").addClass("sel-arrow-up");
            $(this).css({ "background": "#eee" });
        } else {
            $(this).next().hide();
            $(".sel-arrow-up", this).removeClass("sel-arrow-up").addClass("sel-arrow-down");
            $(".sel-val-megaselect").css({ "background": "#fff" });
        }
    });
}

function RegistrarSelecaoLinhas() {
    // seleciona uma linha da lista de campos
    $(".list-megaselect li ul").unbind("click");
    $(".list-megaselect li ul").on("click", function (e) {
        if ($(this).hasClass("sub-list-megaselect-disabled")) {
            return false;
        } else {
            $(this).toggleClass("dropped-item");
        }
    });
    $(".codigos").unbind("click");
    $(".codigos").on("click", function () {
        if ($(this).parent().parent().hasClass("dropped-item")) {
            return false;
        }
    });
    $("input[type='text']").unbind("keypress");
    $("input[type='text']").keypress(function () {
        $(this).removeClass("cmp-erro");
    });
}

function AlertaSalvarAplicacaoVinculacao(evt) {
    var cmp = $(evt.target).parents(".tab-t-verticais").find(".content-acc .campos-area .campo-id input[type='text']");

    if (cmp.val() == "") {
        cmp.addClass("cmp-erro");
        $(evt.target).parent().find(".save-notification-ok").hide();
        $(evt.target).parent().find(".save-notification-notok").fadeIn("fast").delay(3000).fadeOut("fast");
    } else {
        $(evt.target).parent().find(".save-notification-notok").hide();
        $(evt.target).parent().find(".save-notification-ok").fadeIn("fast").delay(3000).fadeOut("fast");
    }
}

function AlertaSelecionaLinha(evt, lado) {
    $(".alert-megaselect").hide();
    lado == "Direita" ? lado = "0px" : lado = "400px";
    $(evt.target).parent().next().next(".alert-megaselect").html("<span class='icon-alert'></span> Selecione uma <strong>linha</strong></span>!").slideDown().css({ "display": "inline-block", "margin-left": lado });
}

function AlertaIdentificador(evt) {
    $(".alert-megaselect").hide();
    $(evt.target).parent().next().next(".alert-megaselect").html("<span class='icon-alert'></span> Informe o campo <strong>identificador!</strong></span>").slideDown().css({ "display": "inline-block", "margin-left": "0" });

    var cmp = $(evt.target).parents(".megaselect").find(".list-megaselect .dropped-item .codigos");
    for (var i = 0; i < cmp.length; i++) {
        if ($(cmp[i]).val() == "") {
            $(cmp[i]).eq(0).addClass("cmp-erro");
        }
    }
}

function RegistrarScriptsConfiguracoes() {
    // Configurações de Aplicação
    $(".header-accordion").unbind();
    $(".excluir-app").unbind();
    $(".btn-nova-aplicacao, .primeira-etapa h1").unbind();
    $(".box-nova-app .limpar-filtros").unbind();
    $("body").unbind();
    //$(".btn-nova-aplicacao, .box-nova-app, .box-sel").unbind();
    //$(".box-nova-app .add-nova-app").unbind();
    $(".tabs-acc ul li").unbind();
    $(".box-sel .sel-val").unbind();
    $(".box-sel .sel-val-megaselect").unbind();
    $(".sel-list li").unbind();
    $(".close-alert-btn").unbind();
    $(".footerbar-grid").unbind();
    $(".reports li, #addDemandas, #agdTarefas").unbind();
    $(".order-by").unbind();
    //$(".add-nova-app").unbind();
    //$(".modal-alert-confirm #confirmBtn").unbind();
    $(".modal-alert-confirm #cancelBtn").unbind();
    $(".save-btn").unbind();
    //$("input[type='text']").unbind();
    //$(".filtrar-todos").unbind();

    $(".header-accordion").on("click", function () {
        if ($(this).next().is(":hidden")) {
            $(".efeito-acc").slideUp("slow");
            $(".header-accordion .icon-icon-13").removeClass("icon-13-up");
            $("span.icon-icon-13:first-child", this).addClass("icon-13-up");
            $(this).next().slideDown("slow");

            return false;
        } else {
            $("span.icon-icon-13:first-child", this).removeClass("icon-13-up");
            $(this).next().slideUp("slow");
            $(".sel-list").hide();

            return false;
        }
    });

    $(".excluir-app").on("click", function (e) {
        e.stopPropagation()
    });

    $(".btn-nova-aplicacao, .primeira-etapa h1").on("click", function (e) {
        e.stopPropagation();
        $(".box-nova-app").toggle();

        if ($(".btn-nova-aplicacao").hasClass("x-nova-app")) {
            $(".btn-nova-aplicacao").removeClass("x-nova-app");
        } else {
            $(".btn-nova-aplicacao").addClass("x-nova-app");
        }
    });

    $(".box-nova-app .limpar-filtros").on("click", function () {
        $(".box-nova-app").hide();
        $(".btn-nova-aplicacao").removeClass("x-nova-app");
    });

    $("body").on("click", function () {
        $(".box-nova-app, .sel-list").hide();
        $(".btn-nova-aplicacao").removeClass("x-nova-app");
    });

    $(".btn-nova-aplicacao, .box-nova-app, .box-sel").on("click", function (e) {
        e.stopPropagation();
    });

    $(".box-nova-app .add-nova-app").on("click", function () {
        //$(".box-nova-app").hide();
        $(".primeira-etapa").fadeOut("slow");
        $(".header-configuracao h1").delay(600).fadeIn("slow");
        $(".box-accordion").delay(600).fadeIn("slow");
        //$(".btn-nova-aplicacao").removeClass("x-nova-app");
    });

    //$(".content-acc .excluir-campo .icon-cancel-circle").on("click", function () {
    //    $(this).parent().parent().remove();
    //});

    $(".tabs-acc ul li").on("click", function () {
        var dataTab = $(this).attr("data-tab");

        $(".box-sel .sel-val, .box-sel .sel-val-megaselect").next().hide();
        $(".sel-arrow-up").removeClass("sel-arrow-up").addClass("sel-arrow-down");
        $(".sel-val-megaselect").css({ "background": "#fff" });

        $(".tabs-acc ul li").removeClass();
        $(this).addClass("active-tab active-" + dataTab + "-icon");

        switch (dataTab) {
            case "table":
                $("div[class^='tab-']").hide();
                $(".tab-t-verticais").show();
                break;
            case "vinc":
                $("div[class^='tab-']").hide();
                $(".tab-t-vinculacao").show();
                break;
            default:
                $("div[class^='tab-']").hide();
                $(".tab-scripts").show();;
        }
    });

    // select estilizado
    $(".box-sel .sel-val").on("click", function () {
        if ($(this).next().is(":hidden")) {
            $(".box-sel .sel-val, .box-sel .sel-val-megaselect").next().hide();
            $(".sel-arrow-up").removeClass("sel-arrow-up").addClass("sel-arrow-down");
            $(".sel-val-megaselect").css({ "background": "#fff" });
            $(this).next().show();
            $(this).closest(".efeito-acc").css({ "overflow": "inherit" });
            $(".sel-arrow-down", this).removeClass("sel-arrow-down").addClass("sel-arrow-up");
        } else {
            $(this).next().hide();
            $(".sel-arrow-up", this).removeClass("sel-arrow-up").addClass("sel-arrow-down");
        }
    });

    // megaselect estilizado
    $(".box-sel .sel-val-megaselect").on("click", function () {
        if ($(this).next().is(":hidden")) {
            $(".box-sel .sel-val, .box-sel .sel-val-megaselect").next().hide();
            $(".sel-arrow-up").removeClass("sel-arrow-up").addClass("sel-arrow-down");
            $(".sel-val-megaselect").css({ "background": "#fff" });
            $(this).next().show();
            $(this).closest(".efeito-acc").css({ "overflow": "inherit" });
            $(".sel-arrow-down", this).removeClass("sel-arrow-down").addClass("sel-arrow-up");
            $(this).css({ "background": "#eee" });
            if ($(this).hasClass("sel-val-megaselect-error")) {
                $(this).removeClass("sel-val-megaselect-error");
                $(this).parent().find("[obrigatorio='T']").addClass("cmp-erro");
            }
        } else {
            $(this).next().hide();
            $(".sel-arrow-up", this).removeClass("sel-arrow-up").addClass("sel-arrow-down");
            $(".sel-val-megaselect").css({ "background": "#fff" });
        }
    });

    $(".sel-list li").on("click", function () {
        var vlr = $(this).text();

        $(this).parent().hide();
        $(this).parent().parent().find(".txt-val").text(vlr);
        $(".sel-arrow-up").removeClass().addClass("sel-arrow-down");

        if ($(this).parents(".box-sel").find(".txt-val").text() !== "Selecione") {
            $(this).parents(".box-sel").find(".txt-val").removeClass("txt-default");

            //console.log($(this).parents(".box-sel").find(".txt-val"));
        } else {
            $(this).parents(".box-sel").find(".txt-val").addClass("txt-default");
            //console.log($(this).parents(".box-sel").find(".txt-val"));
        }
    });

    $(".close-alert-btn").on("click", function () {
        $(this).parent().fadeOut();
    });
    //show/hide footer
    $(".footerbar-grid").toggle(function () {
        $(this).parent().parent().animate({
            bottom: "-202px"
        }, 500);
        $(".content").css({ "bottom": "43px" });
    }, function () {
        $(this).parent().parent().animate({
            bottom: "0"
        }, 500);
        $(".content").css({ "bottom": "245px" });
    });
    //arrow up/down
    $(function () {
        $(".footerbar-grid").click(function () {
            if ($(this).find('.abas-grid i').hasClass('icon-arrow-top')) {
                $(this).find('.abas-grid i').removeClass('icon-arrow-top');
                $(this).find('.abas-grid i').addClass('icon-icon-13');
            }
            else {
                $(this).find('.abas-grid i').removeClass('icon-icon-13');
                $(this).find('.abas-grid i').addClass('icon-arrow-top');
            }
        });
    });
    $(".reports li, #addDemandas, #agdTarefas").on("click", function (e) {
        e.stopPropagation();
    });

    // ordenar listas - muda o ícone de ordenação das listas
    $(".order-by").on("click", function () {
        if ($(this).hasClass("icon-play3-down")) {
            $(this).removeClass("icon-play3-down").addClass("icon-play3-up");

            //if ($(event.target).parent().parent().hasClass("list-content-acc"))
            //    ordenarListaIdentificador(true);
            //else
            //    ordenarMiniListaIdentificador(true);

        } else {
            $(this).removeClass("icon-play3-up").addClass("icon-play3-down");

            //if ($(event.target).parent().parent().hasClass("list-content-acc"))
            //    ordenarListaIdentificador(false);
            //else
            //    ordenarMiniListaIdentificador(false);
        }
    });

    function ordenarListaIdentificador(cres) {
        var $people = $(event.target).parent().parent().parent(),
            $peopleli = $($people).find(".campos-area");

        $peopleli.sort(function (a, b) {
            var an = $(a).find(".campo-id").find("input").val(),
                bn = $(b).find(".campo-id").find("input").val();

            if (cres) {
                if (an > bn) return 1;
                if (an < bn) return -1;
            } else {
                if (an < bn) return 1;
                if (an > bn) return -1;
            }
            return 0;
        });
        $peopleli.detach().appendTo($people);
    }

    function ordenarMiniListaIdentificador(cres) {
        var $people = $(event.target).parent().parent().parent().find(".list-megaselect"),
            $peopleli = $($people).children();

        $peopleli.sort(function (a, b) {
            var an = $($(a).find("ul").find("li")[0]).text();//$(a).find(".campo-id").find("input").val(),
            bn = $($(b).find("ul").find("li")[0]).text();//$(b).find(".campo-id").find("input").val();

            if (cres) {
                if (an > bn) return 1;
                if (an < bn) return -1;
            } else {
                if (an < bn) return 1;
                if (an > bn) return -1;
            }
            return 0;
        });
        $peopleli.detach().appendTo($people);
    }
    //// habilita o filtro quando uma nova aplicação é adicionada
    //$(".add-nova-app").on("click", function () {
    //    $(".filtro-app").fadeIn();
    //});

    // modal confirmar ou cancelar a exclusão de uma aplicação
    $(".excluir-app .icon-cancel-circle").on("click", function () {
        boxModalConfirmCancel = $(this).parents(".box-accordion");

        $(".mask-modal, .mask-modal .modal-alert-confirm").fadeIn();

        var app = $(event.target).parent().parent().attr("codigoaplicacaoacordion");
        $("#confirmBtn").attr("codigoApp", app);
    });

    //$(".modal-alert-confirm #confirmBtn").on("click", function () {
    //    $(boxModalConfirmCancel).fadeOut(300, function () {
    //        $(boxModalConfirmCancel).remove();
    //    });

    //    if ($(".box-accordion").length <= 1) {
    //        $(".primeira-etapa").delay(600).fadeIn();
    //        $(".header-configuracao h1").fadeOut();
    //        $(".filtro-app").fadeOut();
    //    }

    //    $(".mask-modal, .mask-modal .modal-alert-confirm").fadeOut();
    //});

    $(".modal-alert-confirm #cancelBtn").on("click", function () {
        $(".mask-modal, .mask-modal .modal-alert-confirm").fadeOut();
    });

    // mostra a mensagem de alerta quando há um erro no momento de transferir as linhas entre as tabelas
    // obs: esse código é apenas para visualização



    $("input[type='text']").keypress(function () {
        $(this).removeClass("cmp-erro");
    });

    //$(".filtrar-todos").on("click", function () {
    //    var cmp = $("div[class^='item'] input[type='text']");

    //    $(".alerta-filtragem").slideUp();

    //    if (cmp.val() == "") {
    //        $(".sidebar-box-content, .sidebar-left-arrow").hide();
    //        $(".alerta-filtragem").slideDown().delay(5000).slideUp();
    //    }
    //});
}